Bug 554089 - Review Request: python-elements - A 2D Physics API for Python
Summary: Review Request: python-elements - A 2D Physics API for Python
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 554088
Blocks: 554090
TreeView+ depends on / blocked
 
Reported: 2010-01-10 12:24 UTC by Sebastian Dziallas
Modified: 2010-01-13 21:34 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-01-13 21:34:10 UTC
tomspur: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Sebastian Dziallas 2010-01-10 12:24:56 UTC
Spec URL: http://sdz.fedorapeople.org/rpmbuild/python-elements.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/python-elements-0.13-1.20100110svn.fc12.src.rpm

Description: This is a dependency for the Sugar Physics activity.
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1912040

Comment 1 Thomas Spura 2010-01-11 15:33:03 UTC
To be honest, the review can be mostly copy & paste from pybox2d...


Review:

Good:
- name ok
- license ok
- sources match upstream (diff -r clean)
- BR ok
- rpmlint clean
$ rpmlint python-elements-0.13-1.20100110svn.fc12.src.rpm noarch/python-elements-0.13-1.20100110svn.fc12.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

- %clean is there
- %install ok
  (calm rpmlint down, can't be moved to %prep)
- description ok
- permissions ok
- %files ok
- builds in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1914151


Needswork:
- How to create the tarball...
  Copy paste of your command does not work... Remove the '|' and it'll work.
- calm rpmlint down in %prep and not in %install ->
  sed -i elements/elements.py -e 1d
- use global and not define:
 
https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
- why is the group devel/languages?
  Development/Libraries would be more appropriate.

#########################

Change the group to Development/Libraries and calm rpmlint down in %prep,
the rest is 'should'.


#########################

APPROVED

Comment 2 Sebastian Dziallas 2010-01-11 16:21:28 UTC
New Package CVS Request
=======================
Package Name: python-elements
Short Description: A 2D Physics API for Python
Owners: sdz
Branches: F-11 F-12
InitialCC:

Comment 3 Sebastian Dziallas 2010-01-11 16:54:48 UTC
Thanks for the reviews! :) I'll import the fixed versions once the branch has been created.

Comment 4 Jason Tibbitts 2010-01-13 18:04:50 UTC
CVS done (by process-cvs-requests.py)

Comment 5 Sebastian Dziallas 2010-01-13 21:34:10 UTC
Built in Rawhide with updates on the way, thanks again for the reviews!


Note You need to log in before you can comment on or make changes to this bug.